Upgrade QuickFix/J to 1.5.3

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade QuickFix/J to 1.5.3

Bengt Rodehav
I noticed that camel-quickfix still uses version 1.5.2 of QuickFix/J. It
would be nice if it could be updated to version 1.5.3 (released 2012-12-10)
in preparation for the Camel 2.11 release. Version 1.5.3 of QuickFix/J
includes support for the latest versions of the Fix standard (Fix 5.0 SP1
and SP2) which I think would be of benefit to many.

/Bengt
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade QuickFix/J to 1.5.3

Claus Ibsen-2
On Mon, Jan 21, 2013 at 1:20 PM, Bengt Rodehav <[hidden email]> wrote:
> I noticed that camel-quickfix still uses version 1.5.2 of QuickFix/J. It
> would be nice if it could be updated to version 1.5.3 (released 2012-12-10)
> in preparation for the Camel 2.11 release. Version 1.5.3 of QuickFix/J
> includes support for the latest versions of the Fix standard (Fix 5.0 SP1
> and SP2) which I think would be of benefit to many.
>
> /Bengt

Is 1.5.3 in any maven repos? Preferrable maven central?

But since we need an OSGi bundle of it anyway.
http://repo2.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.quickfix/

Maybe as the SMX team for a 1.5.3 osgi bundle, and we can use that JAR
for non-osgi users as well.
If its not in maven central already.

--
Claus Ibsen
-----------------
Red Hat, Inc.
FuseSource is now part of Red Hat
Email: [hidden email]
Web: http://fusesource.com
Twitter: davsclaus
Blog: http://davsclaus.com
Author of Camel in Action: http://www.manning.com/ibsen
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade QuickFix/J to 1.5.3

Bengt Rodehav
I can only find the 1.5.2 version at maven central - not the 1.5.3 version.
Will you ask the servicemix team or did you want me to do that?

/Bengt


2013/1/21 Claus Ibsen <[hidden email]>

> On Mon, Jan 21, 2013 at 1:20 PM, Bengt Rodehav <[hidden email]> wrote:
> > I noticed that camel-quickfix still uses version 1.5.2 of QuickFix/J. It
> > would be nice if it could be updated to version 1.5.3 (released
> 2012-12-10)
> > in preparation for the Camel 2.11 release. Version 1.5.3 of QuickFix/J
> > includes support for the latest versions of the Fix standard (Fix 5.0 SP1
> > and SP2) which I think would be of benefit to many.
> >
> > /Bengt
>
> Is 1.5.3 in any maven repos? Preferrable maven central?
>
> But since we need an OSGi bundle of it anyway.
>
> http://repo2.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.quickfix/
>
> Maybe as the SMX team for a 1.5.3 osgi bundle, and we can use that JAR
> for non-osgi users as well.
> If its not in maven central already.
>
> --
> Claus Ibsen
> -----------------
> Red Hat, Inc.
> FuseSource is now part of Red Hat
> Email: [hidden email]
> Web: http://fusesource.com
> Twitter: davsclaus
> Blog: http://davsclaus.com
> Author of Camel in Action: http://www.manning.com/ibsen
>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade QuickFix/J to 1.5.3

Claus Ibsen-2
On Mon, Jan 21, 2013 at 5:00 PM, Bengt Rodehav <[hidden email]> wrote:
> I can only find the 1.5.2 version at maven central - not the 1.5.3 version.
> Will you ask the servicemix team or did you want me to do that?
>

Feel free to log the ticket.

It wont make it in Camel 2.11, as the bundle release is just happened,
but for 2.11.x we may have a new bundle release in between.

> /Bengt
>
>
> 2013/1/21 Claus Ibsen <[hidden email]>
>
>> On Mon, Jan 21, 2013 at 1:20 PM, Bengt Rodehav <[hidden email]> wrote:
>> > I noticed that camel-quickfix still uses version 1.5.2 of QuickFix/J. It
>> > would be nice if it could be updated to version 1.5.3 (released
>> 2012-12-10)
>> > in preparation for the Camel 2.11 release. Version 1.5.3 of QuickFix/J
>> > includes support for the latest versions of the Fix standard (Fix 5.0 SP1
>> > and SP2) which I think would be of benefit to many.
>> >
>> > /Bengt
>>
>> Is 1.5.3 in any maven repos? Preferrable maven central?
>>
>> But since we need an OSGi bundle of it anyway.
>>
>> http://repo2.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.quickfix/
>>
>> Maybe as the SMX team for a 1.5.3 osgi bundle, and we can use that JAR
>> for non-osgi users as well.
>> If its not in maven central already.
>>
>> --
>> Claus Ibsen
>> -----------------
>> Red Hat, Inc.
>> FuseSource is now part of Red Hat
>> Email: [hidden email]
>> Web: http://fusesource.com
>> Twitter: davsclaus
>> Blog: http://davsclaus.com
>> Author of Camel in Action: http://www.manning.com/ibsen
>>



--
Claus Ibsen
-----------------
Red Hat, Inc.
FuseSource is now part of Red Hat
Email: [hidden email]
Web: http://fusesource.com
Twitter: davsclaus
Blog: http://davsclaus.com
Author of Camel in Action: http://www.manning.com/ibsen
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade QuickFix/J to 1.5.3

Bengt Rodehav
https://issues.apache.org/jira/browse/CAMEL-5990

/Bengt


2013/1/21 Claus Ibsen <[hidden email]>

> On Mon, Jan 21, 2013 at 5:00 PM, Bengt Rodehav <[hidden email]> wrote:
> > I can only find the 1.5.2 version at maven central - not the 1.5.3
> version.
> > Will you ask the servicemix team or did you want me to do that?
> >
>
> Feel free to log the ticket.
>
> It wont make it in Camel 2.11, as the bundle release is just happened,
> but for 2.11.x we may have a new bundle release in between.
>
> > /Bengt
> >
> >
> > 2013/1/21 Claus Ibsen <[hidden email]>
> >
> >> On Mon, Jan 21, 2013 at 1:20 PM, Bengt Rodehav <[hidden email]>
> wrote:
> >> > I noticed that camel-quickfix still uses version 1.5.2 of QuickFix/J.
> It
> >> > would be nice if it could be updated to version 1.5.3 (released
> >> 2012-12-10)
> >> > in preparation for the Camel 2.11 release. Version 1.5.3 of QuickFix/J
> >> > includes support for the latest versions of the Fix standard (Fix 5.0
> SP1
> >> > and SP2) which I think would be of benefit to many.
> >> >
> >> > /Bengt
> >>
> >> Is 1.5.3 in any maven repos? Preferrable maven central?
> >>
> >> But since we need an OSGi bundle of it anyway.
> >>
> >>
> http://repo2.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.quickfix/
> >>
> >> Maybe as the SMX team for a 1.5.3 osgi bundle, and we can use that JAR
> >> for non-osgi users as well.
> >> If its not in maven central already.
> >>
> >> --
> >> Claus Ibsen
> >> -----------------
> >> Red Hat, Inc.
> >> FuseSource is now part of Red Hat
> >> Email: [hidden email]
> >> Web: http://fusesource.com
> >> Twitter: davsclaus
> >> Blog: http://davsclaus.com
> >> Author of Camel in Action: http://www.manning.com/ibsen
> >>
>
>
>
> --
> Claus Ibsen
> -----------------
> Red Hat, Inc.
> FuseSource is now part of Red Hat
> Email: [hidden email]
> Web: http://fusesource.com
> Twitter: davsclaus
> Blog: http://davsclaus.com
> Author of Camel in Action: http://www.manning.com/ibsen
>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade QuickFix/J to 1.5.3

Christian Mueller
Administrator
https://issues.apache.org/jira/browse/SMX4-1366

Best,
Christian

On Mon, Jan 21, 2013 at 7:32 PM, Bengt Rodehav <[hidden email]> wrote:

> https://issues.apache.org/jira/browse/CAMEL-5990
>
> /Bengt
>
>
> 2013/1/21 Claus Ibsen <[hidden email]>
>
> > On Mon, Jan 21, 2013 at 5:00 PM, Bengt Rodehav <[hidden email]>
> wrote:
> > > I can only find the 1.5.2 version at maven central - not the 1.5.3
> > version.
> > > Will you ask the servicemix team or did you want me to do that?
> > >
> >
> > Feel free to log the ticket.
> >
> > It wont make it in Camel 2.11, as the bundle release is just happened,
> > but for 2.11.x we may have a new bundle release in between.
> >
> > > /Bengt
> > >
> > >
> > > 2013/1/21 Claus Ibsen <[hidden email]>
> > >
> > >> On Mon, Jan 21, 2013 at 1:20 PM, Bengt Rodehav <[hidden email]>
> > wrote:
> > >> > I noticed that camel-quickfix still uses version 1.5.2 of
> QuickFix/J.
> > It
> > >> > would be nice if it could be updated to version 1.5.3 (released
> > >> 2012-12-10)
> > >> > in preparation for the Camel 2.11 release. Version 1.5.3 of
> QuickFix/J
> > >> > includes support for the latest versions of the Fix standard (Fix
> 5.0
> > SP1
> > >> > and SP2) which I think would be of benefit to many.
> > >> >
> > >> > /Bengt
> > >>
> > >> Is 1.5.3 in any maven repos? Preferrable maven central?
> > >>
> > >> But since we need an OSGi bundle of it anyway.
> > >>
> > >>
> >
> http://repo2.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.quickfix/
> > >>
> > >> Maybe as the SMX team for a 1.5.3 osgi bundle, and we can use that JAR
> > >> for non-osgi users as well.
> > >> If its not in maven central already.
> > >>
> > >> --
> > >> Claus Ibsen
> > >> -----------------
> > >> Red Hat, Inc.
> > >> FuseSource is now part of Red Hat
> > >> Email: [hidden email]
> > >> Web: http://fusesource.com
> > >> Twitter: davsclaus
> > >> Blog: http://davsclaus.com
> > >> Author of Camel in Action: http://www.manning.com/ibsen
> > >>
> >
> >
> >
> > --
> > Claus Ibsen
> > -----------------
> > Red Hat, Inc.
> > FuseSource is now part of Red Hat
> > Email: [hidden email]
> > Web: http://fusesource.com
> > Twitter: davsclaus
> > Blog: http://davsclaus.com
> > Author of Camel in Action: http://www.manning.com/ibsen
> >
>



--
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade QuickFix/J to 1.5.3

Bengt Rodehav
Perfect,

/Bengt


2013/1/21 Christian Müller <[hidden email]>

> https://issues.apache.org/jira/browse/SMX4-1366
>
> Best,
> Christian
>
> On Mon, Jan 21, 2013 at 7:32 PM, Bengt Rodehav <[hidden email]> wrote:
>
> > https://issues.apache.org/jira/browse/CAMEL-5990
> >
> > /Bengt
> >
> >
> > 2013/1/21 Claus Ibsen <[hidden email]>
> >
> > > On Mon, Jan 21, 2013 at 5:00 PM, Bengt Rodehav <[hidden email]>
> > wrote:
> > > > I can only find the 1.5.2 version at maven central - not the 1.5.3
> > > version.
> > > > Will you ask the servicemix team or did you want me to do that?
> > > >
> > >
> > > Feel free to log the ticket.
> > >
> > > It wont make it in Camel 2.11, as the bundle release is just happened,
> > > but for 2.11.x we may have a new bundle release in between.
> > >
> > > > /Bengt
> > > >
> > > >
> > > > 2013/1/21 Claus Ibsen <[hidden email]>
> > > >
> > > >> On Mon, Jan 21, 2013 at 1:20 PM, Bengt Rodehav <[hidden email]>
> > > wrote:
> > > >> > I noticed that camel-quickfix still uses version 1.5.2 of
> > QuickFix/J.
> > > It
> > > >> > would be nice if it could be updated to version 1.5.3 (released
> > > >> 2012-12-10)
> > > >> > in preparation for the Camel 2.11 release. Version 1.5.3 of
> > QuickFix/J
> > > >> > includes support for the latest versions of the Fix standard (Fix
> > 5.0
> > > SP1
> > > >> > and SP2) which I think would be of benefit to many.
> > > >> >
> > > >> > /Bengt
> > > >>
> > > >> Is 1.5.3 in any maven repos? Preferrable maven central?
> > > >>
> > > >> But since we need an OSGi bundle of it anyway.
> > > >>
> > > >>
> > >
> >
> http://repo2.maven.org/maven2/org/apache/servicemix/bundles/org.apache.servicemix.bundles.quickfix/
> > > >>
> > > >> Maybe as the SMX team for a 1.5.3 osgi bundle, and we can use that
> JAR
> > > >> for non-osgi users as well.
> > > >> If its not in maven central already.
> > > >>
> > > >> --
> > > >> Claus Ibsen
> > > >> -----------------
> > > >> Red Hat, Inc.
> > > >> FuseSource is now part of Red Hat
> > > >> Email: [hidden email]
> > > >> Web: http://fusesource.com
> > > >> Twitter: davsclaus
> > > >> Blog: http://davsclaus.com
> > > >> Author of Camel in Action: http://www.manning.com/ibsen
> > > >>
> > >
> > >
> > >
> > > --
> > > Claus Ibsen
> > > -----------------
> > > Red Hat, Inc.
> > > FuseSource is now part of Red Hat
> > > Email: [hidden email]
> > > Web: http://fusesource.com
> > > Twitter: davsclaus
> > > Blog: http://davsclaus.com
> > > Author of Camel in Action: http://www.manning.com/ibsen
> > >
> >
>
>
>
> --
>